> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Pipeline Eval Definition

> Update the eval_definition on a custom processor's active version.



## OpenAPI

````yaml https://www.datalab.to/openapi.json put /api/v1/custom_pipelines/{processor_id}/eval_definition
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/custom_pipelines/{processor_id}/eval_definition:
    put:
      tags:
        - Custom Pipelines (Deprecated)
      summary: Update Pipeline Eval Definition
      description: Update the eval_definition on a custom processor's active version.
      operationId: >-
        update_pipeline_eval_definition_api_v1_custom_pipelines__processor_id__eval_definition_put
      parameters:
        - name: processor_id
          in: path
          required: true
          schema:
            type: string
            title: Processor Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      requestBody:
        required: true
        content:
          application/json:
            schema:
              additionalProperties: true
              type: object
              title: Eval Definition
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````